package com.winhc.repal.enums;

/**
 * @Description: RefreshStatusEnum
 * @Author: xda
 * @Date: 2022/4/14 16:41
 */
public enum RefreshStatusEnum {

    /**
     *  刷新状态
     */
    REFRESH_WAIT(1, "未刷新"),
    REFRESH_ING(2, "刷新中"),
    REFRESH_SUCCESS(3, "已刷新"),
    REFRESH_FAIL(0, "刷新失败");

    private final Integer code;

    private final String msg;

    RefreshStatusEnum(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public Integer getCode() {
        return this.code;
    }

    public String getMsg() {
        return this.msg;
    }
}
