package com.winhc.repal.repository;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.winhc.repal.entity.RepalCustomer;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.winhc.repal.model.bo.RepalCustomerInfoBO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * @description RepalCustomer Mapper 接口
 * @author Generator
 * @date 2022-04-08
 */
@Repository
public interface RepalCustomerMapper extends BaseMapper<RepalCustomer> {
    /**
     * 分页查客户
     * @param page
     * @param groupId
     * @param custProperty
     * @param sortType
     * @return
     */
    Page<RepalCustomerInfoBO> getCustPage(Page<RepalCustomerInfoBO> page,
                                          @Param("groupId") Long groupId,
                                          @Param("custProperty")Integer custProperty,
                                          @Param("sortType")Integer sortType,
                                          @Param("custType")Integer custType,
                                          @Param("billType")Integer billType,
                                          @Param("allFlag")boolean allFlag,
                                          @Param("userId")Long userId);
}
