package com.winhc.repal.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;


/**
 * @Description: AddGroupMemberDTO
 * @Author: xda
 * @Date: 2022/5/11 16:10
 */
@Data
@ApiModel("添加组织成员")
public class AddGroupMemberDTO {


    @ApiModelProperty("用户list")
    private List<GroupMemberRegDTO> regList;


    @ApiModelProperty("角色id")
    private Long roleId;

    @ApiModelProperty("1飞书。2钉钉")
    private String thirdPartyType;
}

