package com.winhc.repal.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @Description: SearchBillDTO
 * @Author: xda
 * @Date: 2022/5/11 14:01
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel("查找账本")
public class SearchBillDTO extends PageDTO {

    @ApiModelProperty("关键词")
    private String keyword;

    @ApiModelProperty("账本id")
    private Long repalBookId;

    @ApiModelProperty("1应收2应付")
    private Integer repalBillType;
}
