package com.winhc.repal.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author Aaron
 * @date 2021/5/28 9:47
 * @description
 */
@Data
@ApiModel("功能列表")
public class FunctionVO {
    @ApiModelProperty("文案")
    private String text;

    @ApiModelProperty("功能")
    private List<Item> type;


    @Data
    public static class Item {
        private String code;

        private String name;
    }
}
