package com.winhc.repal.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.winhc.repal.entity.RepalBillDiagnosis;
import com.winhc.repal.mq.bean.RiskScoreDataTransfer;

import java.math.BigDecimal;
import java.util.List;


/**
 * @description RepalBillDiagnosis 接口类
 * @author Generator
 * @date 2022-04-14
 */
public interface RepalBillDiagnosisService extends IService<RepalBillDiagnosis> {
    /**
     * 新生成评估记录并提交评估
     * @param repalBillId
     */
    RepalBillDiagnosis addRepalBillDiagnosis(Long userId, Long repalBillId, BigDecimal amt, List<String> companys);
    /**
     * 更新评估结果
     * 1、评分表   2、账款表 本次以及历史 3、账本表 刷新状态
     * @param transfer
     */
    void updateGrade(RiskScoreDataTransfer transfer);
}
